##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I. -I../mraw -I../MRawFormat -I../mmc

# @code 

CINT     = Base
LIB      = mbase.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MLog.cc \
	   MParContainer.cc \
	   MParList.cc \
	   MInputStreamID.cc \
           MTask.cc \
	   MTaskList.cc \
           MFilter.cc \
           MFilterList.cc \
           MEvtLoop.cc \
           MGList.cc \
           MGTask.cc \
           MGGroupFrame.cc \
	   MArray.cc \
	   MArrayB.cc \
	   MArrayS.cc \
           MTime.cc \
           MClone.cc \
           MPrint.cc \
           MLogManip.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode

